   
*{
    margin: 0;
    padding: 0;
}
body {
    font-family: Arial, sans-serif;
    /* background-color: #f8f9fa; */
}

 /* styles for toggle button */
 .navbar-toggler {
    border: none;
    outline: none;
  }
  .navbar-toggler .bar {
    display: block;
    width: 25px;
    height: 3px;
    background-color: #000;
    margin: 5px auto;
    transition: all 0.3s ease-in-out;
  }
  .navbar-toggler.collapsed .bar:nth-child(2) {
    opacity: 1;
  }
  .navbar-toggler:not(.collapsed) .bar:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
  }
  .navbar-toggler:not(.collapsed) .bar:nth-child(2) {
    opacity: 0;
  }
  .navbar-toggler:not(.collapsed) .bar:nth-child(3) {
    transform: rotate(-45deg) translate(5px, -5px);
  }
  .footer {
    background-color: #f8f9fa;
    padding: 20px 0;
    text-align: center;
    font-size: 14px;
    color: #6c757d;
  }


  .key-container {
      max-width: 600px;
      margin: 20px auto;
      background-color: #f8f9fa;
      padding: 20px;
      border-radius: 8px;
      box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  }

  #loaderBox {
      display: none;
  }
  #rankBox{
    display: none;
  }

  .loader {
      border: 4px dotted #3498db;
      border-radius: 50%;
      width: 60px;
      height: 60px;
      animation: dot-spin 1.5s linear infinite;
      margin: 0 auto;
  }

  @keyframes dot-spin {
      0% {
          transform: rotate(0deg);
      }

      100% {
          transform: rotate(360deg);
      }
  }

  #resultBox {
      display: none;
  }

  .result-header {
      display: flex;
      align-items: center;
      margin-bottom: 20px;
  }

  .result-header img {
      max-width: 100%;
  }

  .btn-download {
      display: block;
      margin: 20px auto;
      background-color: #4caf50;
      color: white;
      padding: 10px 20px;
      text-align: center;
      border-radius: 5px;
      cursor: pointer;
      text-decoration: none;
  }

  .error-message {
      color: #e74c3c;
      margin-top: 20px;
      text-align: center;
  }

  .success-message {
      color: #27ae60;
      margin-top: 20px;
      text-align: center;
  }
  /* Desktop Table Styles */
  @media (max-width: 768px) { /* Hide desktop table on mobile */
      .d-none.d-md-block {
          display: none;
      }
  }

  /* Mobile Table Styles */
  @media (min-width: 769px) { /* Hide mobile table on desktop */
      .d-block.d-md-none {
          display: none;
      }
  }


  .card {
    position: relative;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1), 0 1px 3px rgba(0, 0, 0, 0.06);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    border: none; /* Remove default card border */
    overflow: hidden;
  }
  
  .card:hover {
    transform: translateY(-10px);
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.2), 0 4px 6px rgba(0, 0, 0, 0.15);
  }
  
  .card-color::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 5px; /* Thickness of the headline */
    background: linear-gradient(90deg, #007bff, #6610f2); /* Gradient color for the headline */
  }
  
   *,
*::before,
*::after {
   box-sizing: border-box; 
  /*box-sizing: content-box;*/
}
  